<template>
  <div class="ui-navmenu">
    <slot />
  </div>
</template>
<script>
export default {
  name: 'UiNavmenu',
  provide() {
    return {
      UiNavmenu: this
    }
  },
  props: {
    type: {
      type: String,
      default: 'simple',
      validator(value) {
        return ['simple', 'weight'].includes(value)
      }
    }
  }
}
</script>
<style lang="less">
.ui-navmenu{
  font-size: 14px;
}
</style>
